/*===========================================================================*/
/*   (Ieee/vector.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Ieee/vector.scm -indent -o objs/obj_u/Ieee/vector.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_makezd2vectorzd2zz__r4_vectors_6_8z00(int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_vectorzd2tagzd2zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
extern long bgl_list_length(obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl__listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl__vectorzd2lengthzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl__vectorzd2tagzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
extern obj_t sort_vector(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2setz12zc0zz__r4_vectors_6_8z00(obj_t, int, obj_t);
static obj_t BGl__vectorzd2refzd2urz00zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl__vectorzd2copyzd2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorz00zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(obj_t, int, obj_t);
extern obj_t make_vector(int, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_vectors_6_8z00();
BGL_EXPORTED_DECL obj_t BGl_vectorzd2refzd2zz__r4_vectors_6_8z00(obj_t, int);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00 = BUNSPEC;
static obj_t BGl__vectorzd2setz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl__copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl__vectorzf3zf3zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl__vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl__makezd2vectorzd2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_vectorzd2lengthzd2zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_vectorzf3zf3zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(obj_t, int);
static obj_t BGl__vectorzd2refzd2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl__vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2refzd2urz00zz__r4_vectors_6_8z00(obj_t, int);
static obj_t BGl__sortz00zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
extern obj_t fill_vector(obj_t, int, obj_t);
static obj_t BGl__vectorz00zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t, int);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_vectorzd2refzd2envz00zz__r4_vectors_6_8z00, BgL_bgl__vectorza7d2refza7d2za7za7__r4_vectors_6_8za7001755za7, BGl__vectorzd2refzd2zz__r4_vectors_6_8z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_vectorzd2tagzd2envz00zz__r4_vectors_6_8z00, BgL_bgl__vectorza7d2tagza7d2za7za7__r4_vectors_6_8za7001756za7, BGl__vectorzd2tagzd2zz__r4_vectors_6_8z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_vectorzd2envzd2zz__r4_vectors_6_8z00, BgL_bgl__vectorza700za7za7__r4_vectors_6_8za7001757z00, va_generic_entry, BGl__vectorz00zz__r4_vectors_6_8z00, -1 );
DEFINE_EXPORT_PROCEDURE( BGl_vectorzd2setzd2urz12zd2envzc0zz__r4_vectors_6_8z00, BgL_bgl__vectorza7d2setza7d2urza712za712za7za7__r4_vectors_6_8za7001758za7, BGl__vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_vectorzd2fillz12zd2envz12zz__r4_vectors_6_8z00, BgL_bgl__vectorza7d2fillza712za7c0za7za7__r4_vectors_6_8za7001759z00, BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_vectorzf3zd2envz21zz__r4_vectors_6_8z00, BgL_bgl__vectorza7f3za7f3za7za7__r4_vectors_6_8za7001760za7, BGl__vectorzf3zf3zz__r4_vectors_6_8z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_vectorzd2copyzd2envz00zz__r4_vectors_6_8z00, BgL_bgl__vectorza7d2copyza7d2za7za7__r4_vectors_6_8za7001761za7, va_generic_entry, BGl__vectorzd2copyzd2zz__r4_vectors_6_8z00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_copyzd2vectorzd2envz00zz__r4_vectors_6_8z00, BgL_bgl__copyza7d2vectorza7d2za7za7__r4_vectors_6_8za7001762za7, BGl__copyzd2vectorzd2zz__r4_vectors_6_8z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_sortzd2envzd2zz__r4_vectors_6_8z00, BgL_bgl__sortza700za7za7__r4_vectors_6_8za7001763z00, BGl__sortz00zz__r4_vectors_6_8z00, 0L, 2 );
DEFINE_STRING( BGl_string1750z00zz__r4_vectors_6_8z00, BgL_bgl_string1750za700za7za7__r4_vectors_6_8za7001764z00, "Object must be a list or a vector", 33 );
DEFINE_STRING( BGl_string1749z00zz__r4_vectors_6_8z00, BgL_bgl_string1749za700za7za7__r4_vectors_6_8za7001765z00, "sort", 4 );
DEFINE_STRING( BGl_string1748z00zz__r4_vectors_6_8z00, BgL_bgl_string1748za700za7za7__r4_vectors_6_8za7001766z00, "Illegal indexes", 15 );
DEFINE_STRING( BGl_string1747z00zz__r4_vectors_6_8z00, BgL_bgl_string1747za700za7za7__r4_vectors_6_8za7001767z00, "Illegal argument", 16 );
DEFINE_STRING( BGl_string1746z00zz__r4_vectors_6_8z00, BgL_bgl_string1746za700za7za7__r4_vectors_6_8za7001768z00, "vector-copy", 11 );
DEFINE_STRING( BGl_string1745z00zz__r4_vectors_6_8z00, BgL_bgl_string1745za700za7za7__r4_vectors_6_8za7001769z00, "vector-set!", 11 );
DEFINE_STRING( BGl_string1744z00zz__r4_vectors_6_8z00, BgL_bgl_string1744za700za7za7__r4_vectors_6_8za7001770z00, "index out of range", 18 );
DEFINE_STRING( BGl_string1743z00zz__r4_vectors_6_8z00, BgL_bgl_string1743za700za7za7__r4_vectors_6_8za7001771z00, "vector-ref", 10 );
DEFINE_EXPORT_PROCEDURE( BGl_vectorzd2refzd2urzd2envzd2zz__r4_vectors_6_8z00, BgL_bgl__vectorza7d2refza7d2urza700za7za7__r4_vectors_6_8za7001772z00, BGl__vectorzd2refzd2urz00zz__r4_vectors_6_8z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2vectorzd2envz00zz__r4_vectors_6_8z00, BgL_bgl__makeza7d2vectorza7d2za7za7__r4_vectors_6_8za7001773za7, va_generic_entry, BGl__makezd2vectorzd2zz__r4_vectors_6_8z00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_vectorzd2ze3listzd2envze3zz__r4_vectors_6_8z00, BgL_bgl__vectorza7d2za7e3listza731za7za7__r4_vectors_6_8za7001774z00, BGl__vectorzd2ze3listz31zz__r4_vectors_6_8z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_vectorzd2setz12zd2envz12zz__r4_vectors_6_8z00, BgL_bgl__vectorza7d2setza712za7c0za7za7__r4_vectors_6_8za7001775z00, BGl__vectorzd2setz12zc0zz__r4_vectors_6_8z00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_vectorzd2tagzd2setz12zd2envzc0zz__r4_vectors_6_8z00, BgL_bgl__vectorza7d2tagza7d2setza712za712za7za7__r4_vectors_6_8za7001776za7, BGl__vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_listzd2ze3vectorzd2envze3zz__r4_vectors_6_8z00, BgL_bgl__listza7d2za7e3vectorza731za7za7__r4_vectors_6_8za7001777z00, BGl__listzd2ze3vectorz31zz__r4_vectors_6_8z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_vectorzd2lengthzd2envz00zz__r4_vectors_6_8z00, BgL_bgl__vectorza7d2lengthza7d2za7za7__r4_vectors_6_8za7001778za7, BGl__vectorzd2lengthzd2zz__r4_vectors_6_8z00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long BgL_checksumz00_806, char * BgL_fromz00_807)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__r4_vectors_6_8z00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* vector? */
BGL_EXPORTED_DEF bool_t BGl_vectorzf3zf3zz__r4_vectors_6_8z00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 103 */
return 
VECTORP(BgL_objz00_1);} 
}



/* _vector? */
obj_t BGl__vectorzf3zf3zz__r4_vectors_6_8z00(obj_t BgL_envz00_721, obj_t BgL_objz00_722)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 103 */
{ /* ./Ieee/vector.scm 104 */
bool_t BgL_auxz00_813;
BgL_auxz00_813 = 
VECTORP(BgL_objz00_722); 
return 
BBOOL(BgL_auxz00_813);} } 
}



/* make-vector */
BGL_EXPORTED_DEF obj_t BGl_makezd2vectorzd2zz__r4_vectors_6_8z00(int BgL_intz00_2, obj_t BgL_fillz00_3)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 109 */
if(
NULLP(BgL_fillz00_3))
{ /* ./Ieee/vector.scm 110 */
return 
make_vector(BgL_intz00_2, BUNSPEC);}  else 
{ /* ./Ieee/vector.scm 110 */
obj_t BgL_auxz00_819;
BgL_auxz00_819 = 
CAR(BgL_fillz00_3); 
return 
make_vector(BgL_intz00_2, BgL_auxz00_819);} } 
}



/* _make-vector */
obj_t BGl__makezd2vectorzd2zz__r4_vectors_6_8z00(obj_t BgL_envz00_723, obj_t BgL_intz00_724, obj_t BgL_fillz00_725)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 109 */
{ /* ./Ieee/vector.scm 110 */
int BgL_intz00_769;
BgL_intz00_769 = 
CINT(BgL_intz00_724); 
if(
NULLP(BgL_fillz00_725))
{ /* ./Ieee/vector.scm 110 */
return 
make_vector(BgL_intz00_769, BUNSPEC);}  else 
{ /* ./Ieee/vector.scm 110 */
obj_t BgL_auxz00_826;
BgL_auxz00_826 = 
CAR(BgL_fillz00_725); 
return 
make_vector(BgL_intz00_769, BgL_auxz00_826);} } } 
}



/* vector */
BGL_EXPORTED_DEF obj_t BGl_vectorz00zz__r4_vectors_6_8z00(obj_t BgL_argsz00_4)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 117 */
return 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_argsz00_4);} 
}



/* _vector */
obj_t BGl__vectorz00zz__r4_vectors_6_8z00(obj_t BgL_envz00_726, obj_t BgL_argsz00_727)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 117 */
return 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_argsz00_727);} 
}



/* vector-length */
BGL_EXPORTED_DEF int BGl_vectorzd2lengthzd2zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_5)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 123 */
return 
VECTOR_LENGTH(BgL_vectorz00_5);} 
}



/* _vector-length */
obj_t BGl__vectorzd2lengthzd2zz__r4_vectors_6_8z00(obj_t BgL_envz00_728, obj_t BgL_vectorz00_729)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 123 */
{ /* ./Ieee/vector.scm 124 */
int BgL_auxz00_832;
BgL_auxz00_832 = 
VECTOR_LENGTH(BgL_vectorz00_729); 
return 
BINT(BgL_auxz00_832);} } 
}



/* vector-ref */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2refzd2zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_6, int BgL_kz00_7)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 129 */
{ /* ./Ieee/vector.scm 130 */
bool_t BgL_test1013z00_773;
{ /* ./Ieee/vector.scm 130 */
int BgL_arg1017z00_774;
BgL_arg1017z00_774 = 
VECTOR_LENGTH(BgL_vectorz00_6); 
BgL_test1013z00_773 = 
BOUND_CHECK(BgL_kz00_7, BgL_arg1017z00_774); } 
if(BgL_test1013z00_773)
{ /* ./Ieee/vector.scm 130 */
return 
VECTOR_REF(BgL_vectorz00_6,BgL_kz00_7);}  else 
{ /* ./Ieee/vector.scm 130 */
obj_t BgL_objectz00_777;
BgL_objectz00_777 = 
BINT(BgL_kz00_7); 
FAILURE(BGl_string1743z00zz__r4_vectors_6_8z00,BGl_string1744z00zz__r4_vectors_6_8z00,BgL_objectz00_777);} } } 
}



/* _vector-ref */
obj_t BGl__vectorzd2refzd2zz__r4_vectors_6_8z00(obj_t BgL_envz00_730, obj_t BgL_vectorz00_731, obj_t BgL_kz00_732)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 129 */
{ /* ./Ieee/vector.scm 130 */
int BgL_kz00_779;
BgL_kz00_779 = 
CINT(BgL_kz00_732); 
{ /* ./Ieee/vector.scm 130 */
bool_t BgL_test1013z00_780;
{ /* ./Ieee/vector.scm 130 */
int BgL_arg1017z00_781;
BgL_arg1017z00_781 = 
VECTOR_LENGTH(BgL_vectorz00_731); 
BgL_test1013z00_780 = 
BOUND_CHECK(BgL_kz00_779, BgL_arg1017z00_781); } 
if(BgL_test1013z00_780)
{ /* ./Ieee/vector.scm 130 */
return 
VECTOR_REF(BgL_vectorz00_731,BgL_kz00_779);}  else 
{ /* ./Ieee/vector.scm 130 */
obj_t BgL_objectz00_784;
BgL_objectz00_784 = 
BINT(BgL_kz00_779); 
FAILURE(BGl_string1743z00zz__r4_vectors_6_8z00,BGl_string1744z00zz__r4_vectors_6_8z00,BgL_objectz00_784);} } } } 
}



/* vector-set! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2setz12zc0zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_8, int BgL_kz00_9, obj_t BgL_objz00_10)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 137 */
{ /* ./Ieee/vector.scm 138 */
bool_t BgL_test1020z00_785;
{ /* ./Ieee/vector.scm 138 */
int BgL_arg1024z00_786;
BgL_arg1024z00_786 = 
VECTOR_LENGTH(BgL_vectorz00_8); 
BgL_test1020z00_785 = 
BOUND_CHECK(BgL_kz00_9, BgL_arg1024z00_786); } 
if(BgL_test1020z00_785)
{ /* ./Ieee/vector.scm 138 */
return 
VECTOR_SET(BgL_vectorz00_8,BgL_kz00_9,BgL_objz00_10);}  else 
{ /* ./Ieee/vector.scm 138 */
obj_t BgL_objectz00_789;
BgL_objectz00_789 = 
BINT(BgL_kz00_9); 
FAILURE(BGl_string1745z00zz__r4_vectors_6_8z00,BGl_string1744z00zz__r4_vectors_6_8z00,BgL_objectz00_789);} } } 
}



/* _vector-set! */
obj_t BGl__vectorzd2setz12zc0zz__r4_vectors_6_8z00(obj_t BgL_envz00_733, obj_t BgL_vectorz00_734, obj_t BgL_kz00_735, obj_t BgL_objz00_736)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 137 */
{ /* ./Ieee/vector.scm 138 */
int BgL_kz00_791;
BgL_kz00_791 = 
CINT(BgL_kz00_735); 
{ /* ./Ieee/vector.scm 138 */
bool_t BgL_test1020z00_793;
{ /* ./Ieee/vector.scm 138 */
int BgL_arg1024z00_794;
BgL_arg1024z00_794 = 
VECTOR_LENGTH(BgL_vectorz00_734); 
BgL_test1020z00_793 = 
BOUND_CHECK(BgL_kz00_791, BgL_arg1024z00_794); } 
if(BgL_test1020z00_793)
{ /* ./Ieee/vector.scm 138 */
return 
VECTOR_SET(BgL_vectorz00_734,BgL_kz00_791,BgL_objz00_736);}  else 
{ /* ./Ieee/vector.scm 138 */
obj_t BgL_objectz00_797;
BgL_objectz00_797 = 
BINT(BgL_kz00_791); 
FAILURE(BGl_string1745z00zz__r4_vectors_6_8z00,BGl_string1744z00zz__r4_vectors_6_8z00,BgL_objectz00_797);} } } } 
}



/* vector-ref-ur */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2refzd2urz00zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_11, int BgL_kz00_12)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 145 */
return 
VECTOR_REF(BgL_vectorz00_11,BgL_kz00_12);} 
}



/* _vector-ref-ur */
obj_t BGl__vectorzd2refzd2urz00zz__r4_vectors_6_8z00(obj_t BgL_envz00_737, obj_t BgL_vectorz00_738, obj_t BgL_kz00_739)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 145 */
{ 
int BgL_auxz00_862;
BgL_auxz00_862 = 
CINT(BgL_kz00_739); 
return 
VECTOR_REF(BgL_vectorz00_738,BgL_auxz00_862);} } 
}



/* vector-set-ur! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_13, int BgL_kz00_14, obj_t BgL_objz00_15)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 151 */
return 
VECTOR_SET(BgL_vectorz00_13,BgL_kz00_14,BgL_objz00_15);} 
}



/* _vector-set-ur! */
obj_t BGl__vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(obj_t BgL_envz00_740, obj_t BgL_vectorz00_741, obj_t BgL_kz00_742, obj_t BgL_objz00_743)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 151 */
{ 
int BgL_auxz00_866;
BgL_auxz00_866 = 
CINT(BgL_kz00_742); 
return 
VECTOR_SET(BgL_vectorz00_741,BgL_auxz00_866,BgL_objz00_743);} } 
}



/* vector->list */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_16)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 157 */
{ /* ./Ieee/vector.scm 158 */
int BgL_vlenz00_263;
BgL_vlenz00_263 = 
VECTOR_LENGTH(BgL_vectorz00_16); 
{ /* ./Ieee/vector.scm 159 */
bool_t BgL_testz00_870;
{ /* ./Ieee/vector.scm 159 */
long BgL_auxz00_871;
BgL_auxz00_871 = 
(long)(BgL_vlenz00_263); 
BgL_testz00_870 = 
(BgL_auxz00_871==((long)0)); } 
if(BgL_testz00_870)
{ /* ./Ieee/vector.scm 159 */
return BNIL;}  else 
{ /* ./Ieee/vector.scm 161 */
long BgL_arg1031z00_268;
{ /* ./Ieee/vector.scm 161 */
long BgL_auxz00_874;
BgL_auxz00_874 = 
(long)(BgL_vlenz00_263); 
BgL_arg1031z00_268 = 
(BgL_auxz00_874-((long)1)); } 
{ 
long BgL_iz00_483;obj_t BgL_accz00_484;
BgL_iz00_483 = BgL_arg1031z00_268; 
BgL_accz00_484 = BNIL; 
BgL_loopz00_482:
if(
(BgL_iz00_483==((long)0)))
{ /* ./Ieee/vector.scm 161 */
obj_t BgL_auxz00_879;
{ 
int BgL_auxz00_880;
BgL_auxz00_880 = 
(int)(BgL_iz00_483); 
BgL_auxz00_879 = 
VECTOR_REF(BgL_vectorz00_16,BgL_auxz00_880); } 
return 
MAKE_PAIR(BgL_auxz00_879, BgL_accz00_484);}  else 
{ /* ./Ieee/vector.scm 161 */
long BgL_arg1041z00_492;obj_t BgL_arg1042z00_493;
BgL_arg1041z00_492 = 
(BgL_iz00_483-((long)1)); 
{ /* ./Ieee/vector.scm 161 */
obj_t BgL_auxz00_885;
{ 
int BgL_auxz00_886;
BgL_auxz00_886 = 
(int)(BgL_iz00_483); 
BgL_auxz00_885 = 
VECTOR_REF(BgL_vectorz00_16,BgL_auxz00_886); } 
BgL_arg1042z00_493 = 
MAKE_PAIR(BgL_auxz00_885, BgL_accz00_484); } 
{ 
obj_t BgL_accz00_891;long BgL_iz00_890;
BgL_iz00_890 = BgL_arg1041z00_492; 
BgL_accz00_891 = BgL_arg1042z00_493; 
BgL_accz00_484 = BgL_accz00_891; 
BgL_iz00_483 = BgL_iz00_890; 
goto BgL_loopz00_482;} } } } } } } 
}



/* _vector->list */
obj_t BGl__vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t BgL_envz00_744, obj_t BgL_vectorz00_745)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 157 */
return 
BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_vectorz00_745);} 
}



/* list->vector */
BGL_EXPORTED_DEF obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t BgL_listz00_17)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 170 */
{ /* ./Ieee/vector.scm 171 */
long BgL_lenz00_275;
BgL_lenz00_275 = 
bgl_list_length(BgL_listz00_17); 
{ /* ./Ieee/vector.scm 171 */
obj_t BgL_vecz00_276;
{ 
int BgL_auxz00_894;
BgL_auxz00_894 = 
(int)(BgL_lenz00_275); 
BgL_vecz00_276 = 
create_vector(BgL_auxz00_894); } 
{ /* ./Ieee/vector.scm 172 */

{ 
long BgL_iz00_532;obj_t BgL_lz00_533;
BgL_iz00_532 = ((long)0); 
BgL_lz00_533 = BgL_listz00_17; 
BgL_loopz00_531:
if(
(BgL_iz00_532==BgL_lenz00_275))
{ /* ./Ieee/vector.scm 173 */
return BgL_vecz00_276;}  else 
{ /* ./Ieee/vector.scm 173 */
{ 
obj_t BgL_auxz00_901;int BgL_auxz00_899;
BgL_auxz00_901 = 
CAR(BgL_lz00_533); 
BgL_auxz00_899 = 
(int)(BgL_iz00_532); 
VECTOR_SET(BgL_vecz00_276,BgL_auxz00_899,BgL_auxz00_901); } 
{ 
obj_t BgL_lz00_906;long BgL_iz00_904;
BgL_iz00_904 = 
(BgL_iz00_532+((long)1)); 
BgL_lz00_906 = 
CDR(BgL_lz00_533); 
BgL_lz00_533 = BgL_lz00_906; 
BgL_iz00_532 = BgL_iz00_904; 
goto BgL_loopz00_531;} } } } } } } 
}



/* _list->vector */
obj_t BGl__listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t BgL_envz00_746, obj_t BgL_listz00_747)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 170 */
return 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_listz00_747);} 
}



/* vector-fill! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_18, obj_t BgL_fillz00_19)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 184 */
{ /* ./Ieee/vector.scm 185 */
int BgL_arg1069z00_579;
BgL_arg1069z00_579 = 
VECTOR_LENGTH(BgL_vectorz00_18); 
return 
fill_vector(BgL_vectorz00_18, BgL_arg1069z00_579, BgL_fillz00_19);} } 
}



/* _vector-fill! */
obj_t BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t BgL_envz00_748, obj_t BgL_vectorz00_749, obj_t BgL_fillz00_750)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 184 */
return 
BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(BgL_vectorz00_749, BgL_fillz00_750);} 
}



/* vector-tag */
BGL_EXPORTED_DEF int BGl_vectorzd2tagzd2zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_20)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 190 */
return 
VECTOR_TAG(BgL_vectorz00_20);} 
}



/* _vector-tag */
obj_t BGl__vectorzd2tagzd2zz__r4_vectors_6_8z00(obj_t BgL_envz00_751, obj_t BgL_vectorz00_752)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 190 */
{ /* ./Ieee/vector.scm 191 */
int BgL_auxz00_913;
BgL_auxz00_913 = 
VECTOR_TAG(BgL_vectorz00_752); 
return 
BINT(BgL_auxz00_913);} } 
}



/* vector-tag-set! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_21, int BgL_tagz00_22)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 196 */
return 
VECTOR_TAG_SET(BgL_vectorz00_21, BgL_tagz00_22);} 
}



/* _vector-tag-set! */
obj_t BGl__vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(obj_t BgL_envz00_753, obj_t BgL_vectorz00_754, obj_t BgL_tagz00_755)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 196 */
{ /* ./Ieee/vector.scm 197 */
int BgL_auxz00_917;
BgL_auxz00_917 = 
CINT(BgL_tagz00_755); 
return 
VECTOR_TAG_SET(BgL_vectorz00_754, BgL_auxz00_917);} } 
}



/* copy-vector */
BGL_EXPORTED_DEF obj_t BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t BgL_oldzd2veczd2_23, int BgL_newzd2lenzd2_24)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 202 */
{ /* ./Ieee/vector.scm 203 */
int BgL_oldzd2lenzd2_285;
BgL_oldzd2lenzd2_285 = 
VECTOR_LENGTH(BgL_oldzd2veczd2_23); 
{ /* ./Ieee/vector.scm 203 */
obj_t BgL_newzd2veczd2_286;
{ /* ./Ieee/vector.scm 204 */
obj_t BgL_auxz00_921;
BgL_auxz00_921 = BUNSPEC; 
BgL_newzd2veczd2_286 = 
make_vector(BgL_newzd2lenzd2_24, BgL_auxz00_921); } 
{ /* ./Ieee/vector.scm 204 */
int BgL_minz00_287;
{ /* ./Ieee/vector.scm 205 */
bool_t BgL_testz00_923;
{ /* ./Ieee/vector.scm 205 */
long BgL_auxz00_926;long BgL_auxz00_924;
BgL_auxz00_926 = 
(long)(BgL_oldzd2lenzd2_285); 
BgL_auxz00_924 = 
(long)(BgL_newzd2lenzd2_24); 
BgL_testz00_923 = 
(BgL_auxz00_924<BgL_auxz00_926); } 
if(BgL_testz00_923)
{ /* ./Ieee/vector.scm 205 */
BgL_minz00_287 = BgL_newzd2lenzd2_24; }  else 
{ /* ./Ieee/vector.scm 205 */
BgL_minz00_287 = BgL_oldzd2lenzd2_285; } } 
{ /* ./Ieee/vector.scm 205 */

{ 
long BgL_iz00_288;
BgL_iz00_288 = ((long)0); 
BgL_loopz00_289:
{ /* ./Ieee/vector.scm 209 */
bool_t BgL_testz00_929;
{ /* ./Ieee/vector.scm 209 */
long BgL_auxz00_930;
BgL_auxz00_930 = 
(long)(BgL_minz00_287); 
BgL_testz00_929 = 
(BgL_iz00_288==BgL_auxz00_930); } 
if(BgL_testz00_929)
{ /* ./Ieee/vector.scm 209 */
return BgL_newzd2veczd2_286;}  else 
{ /* ./Ieee/vector.scm 209 */
{ 
obj_t BgL_auxz00_935;int BgL_auxz00_933;
{ 
int BgL_auxz00_936;
BgL_auxz00_936 = 
(int)(BgL_iz00_288); 
BgL_auxz00_935 = 
VECTOR_REF(BgL_oldzd2veczd2_23,BgL_auxz00_936); } 
BgL_auxz00_933 = 
(int)(BgL_iz00_288); 
VECTOR_SET(BgL_newzd2veczd2_286,BgL_auxz00_933,BgL_auxz00_935); } 
{ 
long BgL_iz00_940;
BgL_iz00_940 = 
(BgL_iz00_288+((long)1)); 
BgL_iz00_288 = BgL_iz00_940; 
goto BgL_loopz00_289;} } } } } } } } } 
}



/* _copy-vector */
obj_t BGl__copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t BgL_envz00_756, obj_t BgL_oldzd2veczd2_757, obj_t BgL_newzd2lenzd2_758)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 202 */
return 
BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(BgL_oldzd2veczd2_757, 
CINT(BgL_newzd2lenzd2_758));} 
}



/* vector-copy */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00(obj_t BgL_oldzd2veczd2_25, obj_t BgL_argsz00_26)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 218 */
{ /* ./Ieee/vector.scm 219 */
int BgL_oldzd2lenzd2_295;
BgL_oldzd2lenzd2_295 = 
VECTOR_LENGTH(BgL_oldzd2veczd2_25); 
{ /* ./Ieee/vector.scm 219 */
obj_t BgL_startz00_296;
if(
PAIRP(BgL_argsz00_26))
{ /* ./Ieee/vector.scm 221 */
bool_t BgL_testz00_947;
{ /* ./Ieee/vector.scm 221 */
obj_t BgL_auxz00_948;
BgL_auxz00_948 = 
CAR(BgL_argsz00_26); 
BgL_testz00_947 = 
INTEGERP(BgL_auxz00_948); } 
if(BgL_testz00_947)
{ /* ./Ieee/vector.scm 221 */
BgL_startz00_296 = 
CAR(BgL_argsz00_26); }  else 
{ /* ./Ieee/vector.scm 223 */
obj_t BgL_arg1152z00_328;
BgL_arg1152z00_328 = 
CAR(BgL_argsz00_26); 
FAILURE(BGl_string1746z00zz__r4_vectors_6_8z00,BGl_string1747z00zz__r4_vectors_6_8z00,BgL_arg1152z00_328);} }  else 
{ /* ./Ieee/vector.scm 220 */
BgL_startz00_296 = 
BINT(((long)0)); } 
{ /* ./Ieee/vector.scm 220 */
obj_t BgL_stopz00_297;
{ /* ./Ieee/vector.scm 225 */
bool_t BgL_test1121z00_313;
if(
PAIRP(BgL_argsz00_26))
{ /* ./Ieee/vector.scm 225 */
obj_t BgL_auxz00_957;
BgL_auxz00_957 = 
CDR(BgL_argsz00_26); 
BgL_test1121z00_313 = 
PAIRP(BgL_auxz00_957); }  else 
{ /* ./Ieee/vector.scm 225 */
BgL_test1121z00_313 = ((bool_t)0); } 
if(BgL_test1121z00_313)
{ /* ./Ieee/vector.scm 226 */
bool_t BgL_test1122z00_314;
{ /* ./Ieee/vector.scm 226 */
bool_t BgL_testz00_961;
{ /* ./Ieee/vector.scm 226 */
obj_t BgL_auxz00_962;
{ /* ./Ieee/vector.scm 226 */
obj_t BgL_auxz00_963;
BgL_auxz00_963 = 
CDR(BgL_argsz00_26); 
BgL_auxz00_962 = 
CDR(BgL_auxz00_963); } 
BgL_testz00_961 = 
PAIRP(BgL_auxz00_962); } 
if(BgL_testz00_961)
{ /* ./Ieee/vector.scm 226 */
BgL_test1122z00_314 = ((bool_t)1); }  else 
{ /* ./Ieee/vector.scm 227 */
bool_t BgL_testz00_967;
{ /* ./Ieee/vector.scm 227 */
obj_t BgL_auxz00_968;
{ /* ./Ieee/vector.scm 227 */
obj_t BgL_auxz00_969;
BgL_auxz00_969 = 
CDR(BgL_argsz00_26); 
BgL_auxz00_968 = 
CAR(BgL_auxz00_969); } 
BgL_testz00_967 = 
INTEGERP(BgL_auxz00_968); } 
if(BgL_testz00_967)
{ /* ./Ieee/vector.scm 227 */
BgL_test1122z00_314 = ((bool_t)0); }  else 
{ /* ./Ieee/vector.scm 227 */
BgL_test1122z00_314 = ((bool_t)1); } } } 
if(BgL_test1122z00_314)
{ /* ./Ieee/vector.scm 228 */
obj_t BgL_arg1126z00_317;
BgL_arg1126z00_317 = 
CDR(BgL_argsz00_26); 
FAILURE(BGl_string1746z00zz__r4_vectors_6_8z00,BGl_string1747z00zz__r4_vectors_6_8z00,BgL_arg1126z00_317);}  else 
{ /* ./Ieee/vector.scm 229 */
obj_t BgL_auxz00_976;
BgL_auxz00_976 = 
CDR(BgL_argsz00_26); 
BgL_stopz00_297 = 
CAR(BgL_auxz00_976); } }  else 
{ /* ./Ieee/vector.scm 225 */
BgL_stopz00_297 = 
BINT(BgL_oldzd2lenzd2_295); } } 
{ /* ./Ieee/vector.scm 225 */
long BgL_newzd2lenzd2_298;
{ /* ./Ieee/vector.scm 231 */
long BgL_auxz00_982;long BgL_auxz00_980;
BgL_auxz00_982 = 
(long)CINT(BgL_startz00_296); 
BgL_auxz00_980 = 
(long)CINT(BgL_stopz00_297); 
BgL_newzd2lenzd2_298 = 
(BgL_auxz00_980-BgL_auxz00_982); } 
{ /* ./Ieee/vector.scm 231 */
obj_t BgL_newzd2veczd2_299;
{ /* ./Ieee/vector.scm 232 */
obj_t BgL_auxz00_987;int BgL_auxz00_985;
BgL_auxz00_987 = BUNSPEC; 
BgL_auxz00_985 = 
(int)(BgL_newzd2lenzd2_298); 
BgL_newzd2veczd2_299 = 
make_vector(BgL_auxz00_985, BgL_auxz00_987); } 
{ /* ./Ieee/vector.scm 233 */

{ /* ./Ieee/vector.scm 236 */
bool_t BgL_test1094z00_301;
if(
(BgL_newzd2lenzd2_298<((long)0)))
{ /* ./Ieee/vector.scm 236 */
BgL_test1094z00_301 = ((bool_t)1); }  else 
{ /* ./Ieee/vector.scm 238 */
bool_t BgL_testz00_991;
{ /* ./Ieee/vector.scm 237 */
long BgL_auxz00_994;long BgL_auxz00_992;
BgL_auxz00_994 = 
(long)(BgL_oldzd2lenzd2_295); 
BgL_auxz00_992 = 
(long)CINT(BgL_startz00_296); 
BgL_testz00_991 = 
(BgL_auxz00_992>BgL_auxz00_994); } 
if(BgL_testz00_991)
{ /* ./Ieee/vector.scm 238 */
BgL_test1094z00_301 = ((bool_t)1); }  else 
{ /* ./Ieee/vector.scm 238 */
long BgL_auxz00_999;long BgL_auxz00_997;
BgL_auxz00_999 = 
(long)(BgL_oldzd2lenzd2_295); 
BgL_auxz00_997 = 
(long)CINT(BgL_stopz00_297); 
BgL_test1094z00_301 = 
(BgL_auxz00_997>BgL_auxz00_999); } } 
if(BgL_test1094z00_301)
{ /* ./Ieee/vector.scm 236 */
FAILURE(BGl_string1746z00zz__r4_vectors_6_8z00,BGl_string1748z00zz__r4_vectors_6_8z00,BgL_argsz00_26);}  else 
{ 
obj_t BgL_rz00_639;long BgL_wz00_640;
BgL_rz00_639 = BgL_startz00_296; 
BgL_wz00_640 = ((long)0); 
BgL_loopz00_638:
{ /* ./Ieee/vector.scm 240 */
bool_t BgL_testz00_1004;
{ /* ./Ieee/vector.scm 240 */
long BgL_auxz00_1007;long BgL_auxz00_1005;
BgL_auxz00_1007 = 
(long)CINT(BgL_stopz00_297); 
BgL_auxz00_1005 = 
(long)CINT(BgL_rz00_639); 
BgL_testz00_1004 = 
(BgL_auxz00_1005==BgL_auxz00_1007); } 
if(BgL_testz00_1004)
{ /* ./Ieee/vector.scm 240 */
return BgL_newzd2veczd2_299;}  else 
{ /* ./Ieee/vector.scm 240 */
{ 
obj_t BgL_auxz00_1012;int BgL_auxz00_1010;
{ 
int BgL_auxz00_1013;
BgL_auxz00_1013 = 
CINT(BgL_rz00_639); 
BgL_auxz00_1012 = 
VECTOR_REF(BgL_oldzd2veczd2_25,BgL_auxz00_1013); } 
BgL_auxz00_1010 = 
(int)(BgL_wz00_640); 
VECTOR_SET(BgL_newzd2veczd2_299,BgL_auxz00_1010,BgL_auxz00_1012); } 
{ /* ./Ieee/vector.scm 240 */
long BgL_arg1103z00_647;long BgL_arg1104z00_648;
{ /* ./Ieee/vector.scm 240 */
long BgL_auxz00_1017;
BgL_auxz00_1017 = 
(long)CINT(BgL_rz00_639); 
BgL_arg1103z00_647 = 
(BgL_auxz00_1017+((long)1)); } 
BgL_arg1104z00_648 = 
(BgL_wz00_640+((long)1)); 
{ 
long BgL_wz00_1023;obj_t BgL_rz00_1021;
BgL_rz00_1021 = 
BINT(BgL_arg1103z00_647); 
BgL_wz00_1023 = BgL_arg1104z00_648; 
BgL_wz00_640 = BgL_wz00_1023; 
BgL_rz00_639 = BgL_rz00_1021; 
goto BgL_loopz00_638;} } } } } } } } } } } } } 
}



/* _vector-copy */
obj_t BGl__vectorzd2copyzd2zz__r4_vectors_6_8z00(obj_t BgL_envz00_759, obj_t BgL_oldzd2veczd2_760, obj_t BgL_argsz00_761)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 218 */
return 
BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00(BgL_oldzd2veczd2_760, BgL_argsz00_761);} 
}



/* sort */
BGL_EXPORTED_DEF obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t BgL_objz00_27, obj_t BgL_procz00_28)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 251 */
if(
NULLP(BgL_objz00_27))
{ /* ./Ieee/vector.scm 252 */
return BgL_objz00_27;}  else 
{ /* ./Ieee/vector.scm 254 */
obj_t BgL_vecz00_331;
if(
VECTORP(BgL_objz00_27))
{ /* ./Ieee/vector.scm 255 */
{ /* ./Ieee/vector.scm 256 */
int BgL_lenz00_335;
BgL_lenz00_335 = 
VECTOR_LENGTH(BgL_objz00_27); 
{ /* ./Ieee/vector.scm 256 */
obj_t BgL_newz00_336;
{ /* ./Ieee/vector.scm 257 */
obj_t BgL_auxz00_1030;
BgL_auxz00_1030 = BUNSPEC; 
BgL_newz00_336 = 
make_vector(BgL_lenz00_335, BgL_auxz00_1030); } 
{ /* ./Ieee/vector.scm 257 */

{ 
long BgL_iz00_337;
BgL_iz00_337 = ((long)0); 
BgL_loopz00_338:
{ /* ./Ieee/vector.scm 259 */
bool_t BgL_testz00_1032;
{ /* ./Ieee/vector.scm 259 */
long BgL_auxz00_1033;
BgL_auxz00_1033 = 
(long)(BgL_lenz00_335); 
BgL_testz00_1032 = 
(BgL_iz00_337<BgL_auxz00_1033); } 
if(BgL_testz00_1032)
{ /* ./Ieee/vector.scm 259 */
{ 
obj_t BgL_auxz00_1038;int BgL_auxz00_1036;
{ 
int BgL_auxz00_1039;
BgL_auxz00_1039 = 
(int)(BgL_iz00_337); 
BgL_auxz00_1038 = 
VECTOR_REF(BgL_objz00_27,BgL_auxz00_1039); } 
BgL_auxz00_1036 = 
(int)(BgL_iz00_337); 
VECTOR_SET(BgL_newz00_336,BgL_auxz00_1036,BgL_auxz00_1038); } 
{ 
long BgL_iz00_1043;
BgL_iz00_1043 = 
(BgL_iz00_337+((long)1)); 
BgL_iz00_337 = BgL_iz00_1043; 
goto BgL_loopz00_338;} }  else 
{ /* ./Ieee/vector.scm 259 */((bool_t)0); } } } 
BgL_vecz00_331 = BgL_newz00_336; } } } }  else 
{ /* ./Ieee/vector.scm 255 */
if(
PAIRP(BgL_objz00_27))
{ /* ./Ieee/vector.scm 264 */
BgL_vecz00_331 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_objz00_27); }  else 
{ /* ./Ieee/vector.scm 264 */
FAILURE(BGl_string1749z00zz__r4_vectors_6_8z00,BGl_string1750z00zz__r4_vectors_6_8z00,BgL_objz00_27);} } 
{ /* ./Ieee/vector.scm 270 */
obj_t BgL_resz00_332;
BgL_resz00_332 = 
sort_vector(BgL_vecz00_331, BgL_procz00_28); 
if(
PAIRP(BgL_objz00_27))
{ /* ./Ieee/vector.scm 271 */
return 
BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_resz00_332);}  else 
{ /* ./Ieee/vector.scm 271 */
return BgL_resz00_332;} } } } 
}



/* _sort */
obj_t BGl__sortz00zz__r4_vectors_6_8z00(obj_t BgL_envz00_762, obj_t BgL_objz00_763, obj_t BgL_procz00_764)
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 251 */
return 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_objz00_763, BgL_procz00_764);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_vectors_6_8z00()
{ AN_OBJECT;
{ /* ./Ieee/vector.scm 18 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__r4_vectors_6_8");} 
}

